.h-cart {
    margin-bottom: rem(24);

    @include media-breakpoint-up(md) {
        margin-bottom: rem(36);
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(30);
    }
}

.cart-item {
    position: relative;

    &:not(:last-child) {
        margin-bottom: rem(35);
        padding-bottom: rem(25);
        border-bottom: 1px solid #F2F2F2;
    }

    &__image {
        top: 0;
        left: 0;
        width: 67px;
        display: block;
        position: absolute;
    }

    &__header {
        display: block;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(14);
        margin-left: 84px;
        min-height: rem(74);
        margin-right: rem(56);
        margin-bottom: rem(22);

        a {
            color: $black;
            text-decoration: none;
        }
    }

    &__buttons {
        top: 0;
        right: 0;
        font-size: 0;
        line-height: 0;
        position: absolute;
        display: flex;
        align-items: center;
    }

    &__button {
        padding: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(18);
        height: rem(18);
        cursor: pointer;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            flex-shrink: 0;
            height: rem(12);
            display: inline-block;
        }

        &:not(:last-child) {
            margin-right: rem(8);
        }
    }

    &__data {
        margin-bottom: rem(20);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__quantity {
        display: flex;
        align-items: center;

        &__label {
            font-weight: 500;
            line-height: 125%;
            font-size: rem(12);
            white-space: nowrap;
        }

        &__value {
            width: rem(94);
            margin: 0 rem(12);
            flex-shrink: 0;
        }
    }

    &__price {
        color: $black;
        font-weight: 600;
        line-height: 145%;
        font-size: rem(16);
        white-space: nowrap;
    }

    &__info {
        margin-bottom: rem(20);
    }

    &__row {
        font-size: rem(12);
        line-height: 155%;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &:before {
            top: calc(50% + 2px);
            left: 20px;
            right: 20px;
            content: '';
            height: 1px;
            display: block;
            position: absolute;
            background-image: linear-gradient(to right, #DADCDD 40%, rgba(255, 255, 255, 0) 20%);
            background-position: top;
            background-size: 5px 1px;
            background-repeat: repeat-x;
        }

        &:not(:last-child) {
            margin-bottom: rem(5);
        }
    }

    &__label {
        z-index: 5;
        font-weight: 500;
        color: #828282;
        position: relative;
        background: $white;
        white-space: nowrap;
        padding-right: rem(8);
    }

    &__value {
        z-index: 5;
        font-weight: 600;
        background: $white;
        position: relative;
        white-space: nowrap;
        padding-left: rem(8);

        &--md {
            color: $purple;
        }
    }

    &__title {
        color: $dark;
        font-weight: 600;
        line-height: 155%;
        cursor: pointer;
        font-size: rem(14);
        margin-bottom: rem(10);
        display: flex;
        align-items: center;
        justify-content: space-between;

        span {

        }

        i {
            width: 14px;
            height: 7px;
            font-size: 0;
            line-height: 0;
            flex-shrink: 0;
            display: inline-block;
            background: url("../img/angle_down.svg") 50% 50% no-repeat;
            background-size: cover;
            transform: rotate(0deg);
            transition: .25s;
        }

        &.close {

            i {
                transform: rotate(180deg);
                transition: .25s;
            }
        }
    }

    &__params {
        margin-bottom: rem(18);
        display: flex;
        align-items: center;
    }

    @include media-breakpoint-up(md) {
        padding-left: rem(158);

        &:not(:last-child) {
            margin-bottom: rem(40);
            padding-bottom: rem(40);
        }

        &__button {
            width: rem(17);
            height: rem(17);

            i {
                flex-shrink: 0;
                height: rem(15);
                display: inline-block;
            }

            &:not(:last-child) {
                margin-right: rem(12);
            }
        }

        &__image {
            width: 123px;
        }

        &__header {
            margin-left: 0;
            max-width: rem(400);
            min-height: inherit;
            font-size: rem(18);
            margin-bottom: rem(25);
        }

        &__data {
            margin-bottom: rem(26);
        }

        &__quantity {

            &__label {
                font-size: rem(15);
            }

            &__value {
                width: rem(114);
                margin: 0 rem(18);
            }
        }

        &__price {
            font-size: rem(24);
        }

        &__info {
            margin-bottom: rem(30);
        }

        &__row {
            font-size: rem(15);

            &:before {
                top: calc(50% + 4px);
            }

            &:not(:last-child) {
                margin-bottom: rem(7);
            }
        }

        &__label {
            padding-right: rem(12);
        }

        &__value {
            padding-left: rem(12);

            &--md {
                font-size: rem(18);
            }
        }

        &__title {
            font-size: rem(15);
        }
    }

    @include media-breakpoint-up(xl) {

        &:not(:last-child) {
            margin-bottom: rem(44);
            padding-bottom: rem(50);
        }
    }

    @include media-breakpoint-up(xxl) {
        padding-left: rem(260);

        &__image {
            width: 212px;
        }
    }
}

.cart-param {
    font-weight: 500;
    line-height: 135%;
    font-size: rem(12);
    cursor: pointer;
    position: relative;
    display: flex;
    align-items: center;

    &:not(:last-child) {
        margin-right: rem(24);
    }

    input {
        top: 0;
        left: 0;
        opacity: 0;
        width: 1px;
        height: 1px;
        overflow: hidden;
        visibility: hidden;
        position: absolute;

        &:checked + .cart-param {

            &__label {
                fill: $purple;
                color: $purple;
            }
        }
    }

    &__label {
        fill: #BDBDBD;
        color: $black;
        font-style: normal;
        display: flex;
        align-items: center;
    }

    &__text {
        display: block;
        font-style: normal;
    }

    &__media {
        font-size: 0;
        line-height: 0;
        height: rem(28);
        display: inline-block;
        margin-right: rem(12);

        &--rotate {
            margin-right: rem(16);
            transform: rotate(90deg);
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(15);

        &:not(:last-child) {
            margin-right: rem(50);
        }

        &__media {
            height: rem(34);
            margin-right: rem(16);

            &--rotate {
                margin-right: rem(22);
            }
        }
    }
}

.cart-checkout {
    line-height: 135%;
    margin: 0 rem(-15);
    padding: rem(32) rem(26);
    border: 8px solid #F1F0ED;

    &__data {
        margin-bottom: rem(16);
        white-space: normal;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__label {
        font-weight: 600;
        line-height: 145%;
        font-size: rem(16);
    }

    &__price {
        color: $purple;
        font-weight: 600;
        line-height: 145%;
        font-size: rem(22);
    }

    &__item {
        margin-bottom: rem(16);
    }

    &__total {
        margin-top: rem(-6);
        margin-bottom: rem(20);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &__label {
            color: #687173;
            font-weight: 500;
            font-size: rem(13);
            line-height: rem(18);
        }

        &__price {
            color: #687173;
            font-weight: 600;
            font-size: rem(14);
            line-height: rem(18);
        }
    }

    &__policy {
        margin-top: rem(25);
    }

    @include media-breakpoint-up(md) {
        border-width: 10px;
        margin: 0;
        padding: rem(46) rem(58) rem(58) rem(58);

        &__data {
            margin-bottom: rem(15);
        }

        &__label {
            font-size: rem(24);
        }

        &__price {
            font-size: rem(30);
        }

        &__item {
            margin-bottom: rem(18);
        }

        &__policy {
            margin-top: rem(18);
        }

        &__total {
            margin-top: rem(-6);
            margin-bottom: rem(30);

            &__label {
                font-size: rem(14);
                line-height: rem(18);
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(36) rem(58) rem(40) rem(58);

        &__item {
            margin-bottom: rem(25);
        }

        &__policy {
            margin-top: rem(30);
        }
    }

    @include media-breakpoint-up(xxl) {}
}

.user-info {
    margin-bottom: rem(50);
    display: grid;
    grid-row-gap: rem(12);
    grid-column-gap: rem(12);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr;

        &__item {

            &--xl {
                grid-column: span 2;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        grid-row-gap: rem(30);
        grid-column-gap: rem(30);
    }
}

.order-data {

    &:not(:last-child) {
        margin-bottom: rem(50);
    }

    &__header {
        margin-bottom: rem(20);
    }

    &__content {
        display: none;
        margin-top: rem(28);

        &.active {
            display: block;
        }
    }

    &__title {
        color: $black;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(14);
        margin-bottom: rem(16);
        padding-bottom: rem(16);
        border-bottom: 1px solid #F2F2F2;
    }

    &__text {
        color: #687173;
        font-weight: 500;
        line-height: 135%;
        font-size: rem(12);

        p {
            margin-bottom: rem(6);

            &:last-child {
                margin-bottom: 0;
            }
        }

        strong {
            color: $black;
            font-weight: 600;
        }

        a {
            color: $purple;
            font-weight: 600;
            text-decoration: underline;

            &:hover {
                color: $purple;
                text-decoration: none;
            }
        }
    }

    &__informer {
        margin-top: rem(25);
    }

    @include media-breakpoint-up(md) {

        &:not(:last-child) {
            margin-bottom: rem(55);
        }

        &__title {
            font-size: rem(16);
            margin-bottom: rem(20);
            padding-bottom: rem(20);
        }

        &__text {
            line-height: 135%;
            font-size: rem(13);

            p {
                margin-bottom: rem(8);

                &:last-child {
                    margin-bottom: 0;
                }
            }
        }

        &__informer {
            margin-top: rem(36);
        }
    }

    @include media-breakpoint-up(xl) {

        &:not(:last-child) {
            margin-bottom: rem(84);
        }

        &__content {
            margin-top: rem(50);
        }

        &__title {
            font-size: rem(18);
            margin-bottom: rem(24);
            padding-bottom: rem(24);
        }

        &__informer {
            margin-top: rem(50);
        }

        &__text {
            line-height: 135%;
            font-size: rem(15);
        }
    }
}

.order-options {
    display: grid;
    font-weight: 500;
    grid-row-gap: rem(12);
    grid-column-gap: rem(12);
    letter-spacing: 1.2px;
    grid-template-columns: 1fr 1fr;

    &__item {
        display: block;
        font-weight: 400;
        position: relative;
    }

    &__media {
        font-size: 0;
        line-height: 0;
        height: rem(32);
        margin-bottom: rem(10);
        display: flex;
        align-items: flex-end;
        justify-content: center;
    }

    &__icon {
        flex-shrink: 0;
        height: rem(32);
        display: inline-block;

        &--01 {
            height: rem(30);
        }

        &--02 {
            height: rem(30);
        }

        &--03 {
            height: rem(30);
        }

        &--04 {
            height: rem(22);
        }

        &--05 {
            height: rem(31);
        }

        &--06 {
            height: rem(26);
        }

        &--07 {
            height: rem(30);
        }

        &--08 {
            height: rem(32);
        }
    }

    &__label {
        color: $black;
        display: block;
        cursor: pointer;
        font-weight: 500;
        font-size: rem(9);
        line-height: 145%;
        text-align: center;
        padding: rem(22) rem(20) rem(5) rem(20);
        text-align: center;
        min-height: rem(110);
        text-transform: uppercase;
        border: 1px solid #F2F2F2;
    }

    &__name {
        height: rem(25);
        font-style: normal;
        display: flex;
        justify-content: center;
        align-items: center;

        span {
            display: block;
        }
    }

    input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        display: block;
        overflow: hidden;
        position: absolute;
        opacity: 0;
        visibility: hidden;

        &:checked {

            + .order-options__label {
                background: #F5F5F3;
            }
        }
    }

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr 1fr 1fr;

        &__media {
            margin-bottom: rem(20);
        }

        &__label {
            height: rem(135);
            line-height: 145%;
            font-size: rem(11);
            padding: rem(26) rem(20) rem(5) rem(20);
        }

        &__name {
            height: rem(33);
        }
    }

    @include media-breakpoint-up(xl) {
        grid-column-gap: rem(13);

        &__label {
            height: rem(161);
            line-height: 145%;
            font-size: rem(12);
            padding: rem(32) rem(20) rem(5) rem(20);
        }

        &__name {
            height: rem(33);
        }

        &__media {
            height: rem(51);
            margin-bottom: rem(20);
        }

        &__icon {
            flex-shrink: 0;
            height: rem(32);
            display: inline-block;

            &--01 {
                height: rem(47);
            }

            &--02 {
                height: rem(45);
            }

            &--03 {
                height: rem(46);
            }

            &--04 {
                height: rem(35);
            }

            &--05 {
                height: rem(48);
            }

            &--06 {
                height: rem(37);
            }

            &--07 {
                height: rem(47);
            }

            &--08 {
                height: rem(51);
            }
        }
    }
}

.informer {
    color: $black;
    font-weight: 600;
    line-height: 125%;
    font-size: rem(12);
    display: flex;
    align-items: flex-start;

    &__icon {
        width: rem(50);
        height: rem(50);
    }

    &__content {

        margin-left: rem(18);

        a {
            color: $purple;
            text-decoration: underline;

            &:hover {
                color: $purple;
                text-decoration: none;
            }
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(14);
        align-items: center;

        &__icon {
            width: rem(70);
            height: rem(70);
        }

        &__content {
            max-width: rem(620);
            margin-left: rem(27);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(15);

        &__icon {
            width: rem(80);
            height: rem(80);
        }

    }
}

@include media-breakpoint-up(md) {}

@include media-breakpoint-up(lg) {}

@include media-breakpoint-up(xl) {}

@include media-breakpoint-up(xxl) {}
